सामग्री पर जाएँ

Flux 3 Extend Video Draft

इंटीग्रेट करें

मॉडल id blackforestlabs/flux-3/extend-video/draft
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/extend-video/draft?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $2.40 2,400 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs वीडियो से वीडियो नेटिव ऑडियोलिपसिंक5–20 s #stylized#transform#lipsync

मौजूदा MP4 का ड्राफ्ट-गुणवत्ता वाला विस्तार, वैकल्पिक रूप से जनरेट किए गए ऑडियो के साथ

Black Forest Labs · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

ड्राफ़्ट वीडियो का टेक्स्ट विवरण।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

URL या डेटा URI के माध्यम से दिया गया स्रोत MP4, जिसका अधिकतम आकार 50 MiB है।

duration auto

ड्राफ़्ट की लंबाई, 5 से 20 सेकंड के पूर्णांक या `auto` के रूप में निर्दिष्ट।

aspect_ratio डिफ़ॉल्ट auto

ड्राफ़्ट आउटपुट का आस्पेक्ट रेशियो; `auto` चयन मॉडल को सौंपता है।

उन्नत safety_tolerance
डिफ़ॉल्ट 2

वीडियो सुरक्षा सहनशीलता का स्केल 4 की सबसे उदार और 0 की सबसे सख्त सेटिंग रखता है।

POST /run/blackforestlabs/flux-3/extend-video/draft?wait=20 कोटेशन → $2.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/extend-video/draft?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Flux 3 Extend Video Draft के बारे में

एक `prompt` का पालन करते हुए स्रोत वीडियो (`video_url`, MP4, अधिकतम 50 MiB) को आगे बढ़ाता है। `duration` `auto` या सेकंड की पूर्ण संख्या हो सकती है, और `aspect_ratio` 21:9 से 9:16 तक या `auto` होता है। `generate_audio` ध्वनि को चालू या बंद करता है और `safety_tolerance` 0 से 4 तक होता है। लौटाए गए `draft_cache` को पूर्ण-गुणवत्ता वाले रेंडर के लिए `draft-enhance` में पास किया जा सकता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
ड्राफ़्ट वीडियो का टेक्स्ट विवरण।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto21:92:116:94:31:13:49:16
ड्राफ़्ट आउटपुट का आस्पेक्ट रेशियो; `auto` चयन मॉडल को सौंपता है।
durationवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto5678910111213141516171819
+1 और20
ड्राफ़्ट की लंबाई, 5 से 20 सेकंड के पूर्णांक या `auto` के रूप में निर्दिष्ट।
generate_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
ड्राफ़्ट वीडियो के लिए ऑडियो निर्माण नियंत्रित करता है।
safety_toleranceवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2
0 – 4
वीडियो सुरक्षा सहनशीलता का स्केल 4 की सबसे उदार और 0 की सबसे सख्त सेटिंग रखता है।
video_urlआवश्यक video
प्रकारurl · video
URL या डेटा URI के माध्यम से दिया गया स्रोत MP4, जिसका अधिकतम आकार 50 MiB है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/extend-video/draft",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2400,
    "usd": "2.40",
    "charged": 2400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "draft_cache": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}ड्राफ़्ट के रूप में बनाया गया वीडियो।
draft_cache
object {url, content_type, file_name, file_size} | null`draft-enhance` के माध्यम से पूर्ण गुणवत्ता में ड्राफ़्ट रेंडर करने के लिए कैश डेटा, टिकाऊ एन्क्रिप्टेड बंडल में संग्रहीत। यदि पार्टनर ने ड्राफ़्ट के लिए कोई बंडल नहीं लौटाया, तो यह आउटपुट अनुपस्थित होता है।

और मॉडल: वीडियो से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/blackforestlabs/flux-3/extend-video/draft.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt